# Source: https://github.com/sindresorhus/transliterate/blob/master/replacements.js

const replacements = Dict(
    # General (named Latin in the source)
    "la" => Dict(
        "À" => "A",
        "Á" => "A",
        "Â" => "A",
        "Ã" => "A",
        "Ä" => "Ae",
        "Å" => "A",
        "Æ" => "AE",
        "Ç" => "C",
        "È" => "E",
        "É" => "E",
        "Ê" => "E",
        "Ë" => "E",
        "Ì" => "I",
        "Í" => "I",
        "Î" => "I",
        "Ï" => "I",
        "Ð" => "D",
        "Ñ" => "N",
        "Ò" => "O",
        "Ó" => "O",
        "Ô" => "O",
        "Õ" => "O",
        "Ö" => "Oe",
        "Ő" => "O",
        "Ø" => "O",
        "Ù" => "U",
        "Ú" => "U",
        "Û" => "U",
        "Ü" => "Ue",
        "Ű" => "U",
        "Ý" => "Y",
        "Þ" => "TH",
        "ß" => "ss",
        "à" => "a",
        "á" => "a",
        "â" => "a",
        "ã" => "a",
        "ä" => "ae",
        "å" => "a",
        "æ" => "ae",
        "ç" => "c",
        "è" => "e",
        "é" => "e",
        "ê" => "e",
        "ë" => "e",
        "ì" => "i",
        "í" => "i",
        "î" => "i",
        "ï" => "i",
        "ð" => "d",
        "ñ" => "n",
        "ò" => "o",
        "ó" => "o",
        "ô" => "o",
        "õ" => "o",
        "ö" => "oe",
        "ő" => "o",
        "ø" => "o",
        "ù" => "u",
        "ú" => "u",
        "û" => "u",
        "ü" => "ue",
        "ű" => "u",
        "ý" => "y",
        "þ" => "th",
        "ÿ" => "y",
        "ẞ" => "SS",
    ),

    # German
    "de" => Dict(
        "ß" => "ss",
        "ä" => "ae",
        "Ä" => "Ae",
        "ö" => "oe",
        "Ö" => "Oe",
        "ü" => "ue",
        "Ü" => "Ue",
    ),

    # Vietnamese
    "vi" => Dict(
        "à" => "a",
        "À" => "A",
        "á" => "a",
        "Á" => "A",
        "â" => "a",
        "Â" => "A",
        "ã" => "a",
        "Ã" => "A",
        "è" => "e",
        "È" => "E",
        "é" => "e",
        "É" => "E",
        "ê" => "e",
        "Ê" => "E",
        "ì" => "i",
        "Ì" => "I",
        "í" => "i",
        "Í" => "I",
        "ò" => "o",
        "Ò" => "O",
        "ó" => "o",
        "Ó" => "O",
        "ô" => "o",
        "Ô" => "O",
        "õ" => "o",
        "Õ" => "O",
        "ù" => "u",
        "Ù" => "U",
        "ú" => "u",
        "Ú" => "U",
        "ý" => "y",
        "Ý" => "Y",
        "ă" => "a",
        "Ă" => "A",
        "Đ" => "D",
        "đ" => "d",
        "ĩ" => "i",
        "Ĩ" => "I",
        "ũ" => "u",
        "Ũ" => "U",
        "ơ" => "o",
        "Ơ" => "O",
        "ư" => "u",
        "Ư" => "U",
        "ạ" => "a",
        "Ạ" => "A",
        "ả" => "a",
        "Ả" => "A",
        "ấ" => "a",
        "Ấ" => "A",
        "ầ" => "a",
        "Ầ" => "A",
        "ẩ" => "a",
        "Ẩ" => "A",
        "ẫ" => "a",
        "Ẫ" => "A",
        "ậ" => "a",
        "Ậ" => "A",
        "ắ" => "a",
        "Ắ" => "A",
        "ằ" => "a",
        "Ằ" => "A",
        "ẳ" => "a",
        "Ẳ" => "A",
        "ẵ" => "a",
        "Ẵ" => "A",
        "ặ" => "a",
        "Ặ" => "A",
        "ẹ" => "e",
        "Ẹ" => "E",
        "ẻ" => "e",
        "Ẻ" => "E",
        "ẽ" => "e",
        "Ẽ" => "E",
        "ế" => "e",
        "Ế" => "E",
        "ề" => "e",
        "Ề" => "E",
        "ể" => "e",
        "Ể" => "E",
        "ễ" => "e",
        "Ễ" => "E",
        "ệ" => "e",
        "Ệ" => "E",
        "ỉ" => "i",
        "Ỉ" => "I",
        "ị" => "i",
        "Ị" => "I",
        "ọ" => "o",
        "Ọ" => "O",
        "ỏ" => "o",
        "Ỏ" => "O",
        "ố" => "o",
        "Ố" => "O",
        "ồ" => "o",
        "Ồ" => "O",
        "ổ" => "o",
        "Ổ" => "O",
        "ỗ" => "o",
        "Ỗ" => "O",
        "ộ" => "o",
        "Ộ" => "O",
        "ớ" => "o",
        "Ớ" => "O",
        "ờ" => "o",
        "Ờ" => "O",
        "ở" => "o",
        "Ở" => "O",
        "ỡ" => "o",
        "Ỡ" => "O",
        "ợ" => "o",
        "Ợ" => "O",
        "ụ" => "u",
        "Ụ" => "U",
        "ủ" => "u",
        "Ủ" => "U",
        "ứ" => "u",
        "Ứ" => "U",
        "ừ" => "u",
        "Ừ" => "U",
        "ử" => "u",
        "Ử" => "U",
        "ữ" => "u",
        "Ữ" => "U",
        "ự" => "u",
        "Ự" => "U",
        "ỳ" => "y",
        "Ỳ" => "Y",
        "ỵ" => "y",
        "Ỵ" => "Y",
        "ỷ" => "y",
        "Ỷ" => "Y",
        "ỹ" => "y",
        "Ỹ" => "Y",
    ),

    # Arabic
    "ar" => Dict(
        "ء" => "e",
        "آ" => "a",
        "أ" => "a",
        "ؤ" => "w",
        "إ" => "i",
        "ئ" => "y",
        "ا" => "a",
        "ب" => "b",
        "ة" => "t",
        "ت" => "t",
        "ث" => "th",
        "ج" => "j",
        "ح" => "h",
        "خ" => "kh",
        "د" => "d",
        "ذ" => "dh",
        "ر" => "r",
        "ز" => "z",
        "س" => "s",
        "ش" => "sh",
        "ص" => "s",
        "ض" => "d",
        "ط" => "t",
        "ظ" => "z",
        "ع" => "e",
        "غ" => "gh",
        "ـ" => "_",
        "ف" => "f",
        "ق" => "q",
        "ك" => "k",
        "ل" => "l",
        "م" => "m",
        "ن" => "n",
        "ه" => "h",
        "و" => "w",
        "ى" => "a",
        "ي" => "y",
        "َ‎" => "a",
        "ُ" => "u",
        "ِ‎" => "i",
        "٠" => "0",
        "١" => "1",
        "٢" => "2",
        "٣" => "3",
        "٤" => "4",
        "٥" => "5",
        "٦" => "6",
        "٧" => "7",
        "٨" => "8",
        "٩" => "9",
    ),

    # Persian / Farsi
    "fa" => Dict(
        "چ" => "ch",
        "ک" => "k",
        "گ" => "g",
        "پ" => "p",
        "ژ" => "zh",
        "ی" => "y",
        "۰" => "0",
        "۱" => "1",
        "۲" => "2",
        "۳" => "3",
        "۴" => "4",
        "۵" => "5",
        "۶" => "6",
        "۷" => "7",
        "۸" => "8",
        "۹" => "9",
    ),

    # Pashto
    "ps" => Dict(
        "ټ" => "p",
        "ځ" => "z",
        "څ" => "c",
        "ډ" => "d",
        "ﺫ" => "d",
        "ﺭ" => "r",
        "ړ" => "r",
        "ﺯ" => "z",
        "ږ" => "g",
        "ښ" => "x",
        "ګ" => "g",
        "ڼ" => "n",
        "ۀ" => "e",
        "ې" => "e",
        "ۍ" => "ai",
    ),

    # Urdu
    "ur" => Dict(
        "ٹ" => "t",
        "ڈ" => "d",
        "ڑ" => "r",
        "ں" => "n",
        "ہ" => "h",
        "ھ" => "h",
        "ے" => "e",
    ),

    # Russian
    "ru" => Dict(
        "А" => "A",
        "а" => "a",
        "Б" => "B",
        "б" => "b",
        "В" => "V",
        "в" => "v",
        "Г" => "G",
        "г" => "g",
        "Д" => "D",
        "д" => "d",
        "Е" => "E",
        "е" => "e",
        "Ж" => "Zh",
        "ж" => "zh",
        "З" => "Z",
        "з" => "z",
        "И" => "I",
        "и" => "i",
        "Й" => "J",
        "й" => "j",
        "К" => "K",
        "к" => "k",
        "Л" => "L",
        "л" => "l",
        "М" => "M",
        "м" => "m",
        "Н" => "N",
        "н" => "n",
        "О" => "O",
        "о" => "o",
        "П" => "P",
        "п" => "p",
        "Р" => "R",
        "р" => "r",
        "С" => "S",
        "с" => "s",
        "Т" => "T",
        "т" => "t",
        "У" => "U",
        "у" => "u",
        "Ф" => "F",
        "ф" => "f",
        "Х" => "H",
        "х" => "h",
        "Ц" => "Cz",
        "ц" => "cz",
        "Ч" => "Ch",
        "ч" => "ch",
        "Ш" => "Sh",
        "ш" => "sh",
        "Щ" => "Shh",
        "щ" => "shh",
        "Ъ" => "",
        "ъ" => "",
        "Ы" => "Y",
        "ы" => "y",
        "Ь" => "",
        "ь" => "",
        "Э" => "E",
        "э" => "e",
        "Ю" => "Yu",
        "ю" => "yu",
        "Я" => "Ya",
        "я" => "ya",
        "Ё" => "Yo",
        "ё" => "yo",
    ),

    # Romanian
    "ro" => Dict(
        "ă" => "a",
        "Ă" => "A",
        "ș" => "s",
        "Ș" => "S",
        "ț" => "t",
        "Ț" => "T",
        "ţ" => "t",
        "Ţ" => "T",
    ),

    # Turkish
    "tr" => Dict(
        "ş" => "s",
        "Ş" => "S",
        "ç" => "c",
        "Ç" => "C",
        "ğ" => "g",
        "Ğ" => "G",
        "ı" => "i",
        "İ" => "I",
    ),

    # Armenian
    "hy" => Dict(
        "ա" => "a",
        "բ" => "b",
        "գ" => "g",
        "դ" => "d",
        "ե" => "ye",
        "զ" => "z",
        "է" => "e",
        "ը" => "u",
        "թ" => "t",
        "ժ" => "zh",
        "ի" => "i",
        "լ" => "l",
        "խ" => "kh",
        "ծ" => "ts",
        "կ" => "k",
        "հ" => "h",
        "ձ" => "dz",
        "ղ" => "r",
        "ճ" => "j",
        "մ" => "m",
        "յ" => "j",
        "ն" => "n",
        "շ" => "sh",
        "ո" => "vo",
        "չ" => "ch",
        "պ" => "p",
        "ջ" => "j",
        "ռ" => "r",
        "ս" => "s",
        "վ" => "v",
        "տ" => "t",
        "ր" => "re",
        "ց" => "ts",
        "ու" => "u",
        "ւ" => "v",
        "փ" => "p",
        "ք" => "q",
        "օ" => "o",
        "ֆ" => "f",
        "և" => "yev",
    ),

    # Georgian
    "ka" => Dict(
        "ა" => "a",
        "ბ" => "b",
        "გ" => "g",
        "დ" => "d",
        "ე" => "e",
        "ვ" => "v",
        "ზ" => "z",
        "თ" => "t",
        "ი" => "i",
        "კ" => "k",
        "ლ" => "l",
        "მ" => "m",
        "ნ" => "n",
        "ო" => "o",
        "პ" => "p",
        "ჟ" => "zh",
        "რ" => "r",
        "ს" => "s",
        "ტ" => "t",
        "უ" => "u",
        "ფ" => "ph",
        "ქ" => "q",
        "ღ" => "gh",
        "ყ" => "k",
        "შ" => "sh",
        "ჩ" => "ch",
        "ც" => "ts",
        "ძ" => "dz",
        "წ" => "ts",
        "ჭ" => "tch",
        "ხ" => "kh",
        "ჯ" => "j",
        "ჰ" => "h",
    ),

    # Czech
    "cz" => Dict(
        "č" => "c",
        "ď" => "d",
        "ě" => "e",
        "ň" => "n",
        "ř" => "r",
        "š" => "s",
        "ť" => "t",
        "ů" => "u",
        "ž" => "z",
        "Č" => "C",
        "Ď" => "D",
        "Ě" => "E",
        "Ň" => "N",
        "Ř" => "R",
        "Š" => "S",
        "Ť" => "T",
        "Ů" => "U",
        "Ž" => "Z",
    ),

    # Dhivehi
    "dv" => Dict(
        "ހ" => "h",
        "ށ" => "sh",
        "ނ" => "n",
        "ރ" => "r",
        "ބ" => "b",
        "ޅ" => "lh",
        "ކ" => "k",
        "އ" => "a",
        "ވ" => "v",
        "މ" => "m",
        "ފ" => "f",
        "ދ" => "dh",
        "ތ" => "th",
        "ލ" => "l",
        "ގ" => "g",
        "ޏ" => "gn",
        "ސ" => "s",
        "ޑ" => "d",
        "ޒ" => "z",
        "ޓ" => "t",
        "ޔ" => "y",
        "ޕ" => "p",
        "ޖ" => "j",
        "ޗ" => "ch",
        "ޘ" => "tt",
        "ޙ" => "hh",
        "ޚ" => "kh",
        "ޛ" => "th",
        "ޜ" => "z",
        "ޝ" => "sh",
        "ޞ" => "s",
        "ޟ" => "d",
        "ޠ" => "t",
        "ޡ" => "z",
        "ޢ" => "a",
        "ޣ" => "gh",
        "ޤ" => "q",
        "ޥ" => "w",
        "ަ" => "a",
        "ާ" => "aa",
        "ި" => "i",
        "ީ" => "ee",
        "ު" => "u",
        "ޫ" => "oo",
        "ެ" => "e",
        "ޭ" => "ey",
        "ޮ" => "o",
        "ޯ" => "oa",
        "ް" => "",
    ),

    # Greek
    "el" => Dict(
        "α" => "a",
        "β" => "v",
        "γ" => "g",
        "δ" => "d",
        "ε" => "e",
        "ζ" => "z",
        "η" => "i",
        "θ" => "th",
        "ι" => "i",
        "κ" => "k",
        "λ" => "l",
        "μ" => "m",
        "ν" => "n",
        "ξ" => "ks",
        "ο" => "o",
        "π" => "p",
        "ρ" => "r",
        "σ" => "s",
        "τ" => "t",
        "υ" => "y",
        "φ" => "f",
        "χ" => "x",
        "ψ" => "ps",
        "ω" => "o",
        "ά" => "a",
        "έ" => "e",
        "ί" => "i",
        "ό" => "o",
        "ύ" => "y",
        "ή" => "i",
        "ώ" => "o",
        "ς" => "s",
        "ϊ" => "i",
        "ΰ" => "y",
        "ϋ" => "y",
        "ΐ" => "i",
        "Α" => "A",
        "Β" => "B",
        "Γ" => "G",
        "Δ" => "D",
        "Ε" => "E",
        "Ζ" => "Z",
        "Η" => "I",
        "Θ" => "TH",
        "Ι" => "I",
        "Κ" => "K",
        "Λ" => "L",
        "Μ" => "M",
        "Ν" => "N",
        "Ξ" => "KS",
        "Ο" => "O",
        "Π" => "P",
        "Ρ" => "R",
        "Σ" => "S",
        "Τ" => "T",
        "Υ" => "Y",
        "Φ" => "F",
        "Χ" => "X",
        "Ψ" => "PS",
        "Ω" => "O",
        "Ά" => "A",
        "Έ" => "E",
        "Ί" => "I",
        "Ό" => "O",
        "Ύ" => "Y",
        "Ή" => "I",
        "Ώ" => "O",
        "Ϊ" => "I",
        "Ϋ" => "Y",
    ),

    # Latvian
    "lv" => Dict(
        "ā" => "a",
        "ē" => "e",
        "ģ" => "g",
        "ī" => "i",
        "ķ" => "k",
        "ļ" => "l",
        "ņ" => "n",
        "ū" => "u",
        "Ā" => "A",
        "Ē" => "E",
        "Ģ" => "G",
        "Ī" => "I",
        "Ķ" => "K",
        "Ļ" => "L",
        "Ņ" => "N",
        "Ū" => "U",
        "č" => "c",
        "š" => "s",
        "ž" => "z",
        "Č" => "C",
        "Š" => "S",
        "Ž" => "Z",
    ),

    # Lithuanian
    "lt" => Dict(
        "ą" => "a",
        "č" => "c",
        "ę" => "e",
        "ė" => "e",
        "į" => "i",
        "š" => "s",
        "ų" => "u",
        "ū" => "u",
        "ž" => "z",
        "Ą" => "A",
        "Č" => "C",
        "Ę" => "E",
        "Ė" => "E",
        "Į" => "I",
        "Š" => "S",
        "Ų" => "U",
        "Ū" => "U",
    ),

    # Macedonian
    "mk" => Dict(
        "Ќ" => "Kj",
        "ќ" => "kj",
        "Љ" => "Lj",
        "љ" => "lj",
        "Њ" => "Nj",
        "њ" => "nj",
        "Тс" => "Ts",
        "тс" => "ts",
    ),

    # Ukrainian
    "uk" => Dict(
        "Є" => "Ye",
        "І" => "I",
        "Ї" => "Yi",
        "Ґ" => "G",
        "є" => "ye",
        "і" => "i",
        "ї" => "yi",
        "ґ" => "g"
    ),

    # Polish
    "pl" => Dict(
        "ą" => "a",
        "ć" => "c",
        "ę" => "e",
        "ł" => "l",
        "ń" => "n",
        "ś" => "s",
        "ź" => "z",
        "ż" => "z",
        "Ą" => "A",
        "Ć" => "C",
        "Ę" => "E",
        "Ł" => "L",
        "Ń" => "N",
        "Ś" => "S",
        "Ź" => "Z",
        "Ż" => "Z",
    ),

    # Hungarian
    # Conflicts with German and Latin.
    "hu" => Dict(
        "ä" => "a",
        "Ä" => "A",
        "ö" => "o",
        "Ö" => "O",
        "ü" => "u",
        "Ü" => "U",
        "ű" => "u",
        "Ű" => "U",
    ),

    # Serbian
    # Conflicts with Vietnamese.
    "sr" => Dict(
        "ђ" => "dj",
        "Ђ" => "Dj",
        "љ" => "lj",
        "Љ" => "Lj",
        "ј" => "j",
        "Ј" => "Ј",
        "Њ" => "Nj",
        "њ" => "nj",
        "ћ" => "c",
        "Ћ" => "C",
        "ц" => "c",
        "Ц" => "C",
        "џ" => "dz",
        "Џ" => "Dz",
        "đ" => "dj",
        "Đ" => "Dj"
    ),

    # Slovak
    # Conflicts with German and Latin.
    "sk" => Dict(
        "ä" => "a",
        "Ä" => "A",
        "ľ" => "l",
        "ĺ" => "l",
        "ŕ" => "r",
        "Ľ" => "L",
        "Ĺ" => "L",
        "Ŕ" => "R",
    ),

    # Swedish
    # Conflicts with German and Latin.
    "sw" => Dict(
        "å" => "o",
        "Å" => "o",
        "ä" => "a",
        "Ä" => "A",
        "ë" => "e",
        "Ë" => "E",
        "ö" => "o",
        "Ö" => "O",
    ),

    # Danish
    "da" => Dict(
        "Æ" => "Ae",
        "Ø" => "Oe",
        "Å" => "Aa",
        "æ" => "ae",
        "ø" => "oe",
        "å" => "aa"
    )
)
